'''
Parkowanie kosztuje 3 zł za godzinę.
Program pyta użytkownika, za ile godzin płaci, i wypisuje info, ile jest do zapłaty.
Następnie w pętli program prosi o wrzucenie monety, a użytkownik wpisuje liczbę - po prostu int(input('wrzuć monetę... '))
Wrzucanie monet odbywa się tak długo, aż zostanie zebrana wymagana suma.

Na końcu wydaje resztę, jeśli się należy.
'''

ile_godzin = int(input('Podaj liczbę godzin parkowania: '))
do_zaplaty = 3 * ile_godzin
print('Do zapłaty:', do_zaplaty)

suma_wplat = 0
while suma_wplat < do_zaplaty:
    print(f'Do tej pory wpłacono {suma_wplat}, pozostało jeszcze {do_zaplaty - suma_wplat}')
    moneta = int(input('wrzuć monetę: '))
    suma_wplat += moneta  # suma_wplat = suma_wplat + moneta

if suma_wplat > do_zaplaty:
    print(f'Wydaję resztę {suma_wplat - do_zaplaty}')

print('Do widzenia')
